Openstack CLI Error: Could not load EntryPoint

Solution Verified - Updated -

Issue

Issue running openstack --help from overcloud nodes display several error messages:

category show  Display category details.
Could not load EntryPoint.parse('claim_create = zaqarclient.queues.v2.cli:OldCreateClaim')
Could not load EntryPoint.parse('claim_query = zaqarclient.queues.v2.cli:OldQueryClaim')
Could not load EntryPoint.parse('claim_release = zaqarclient.queues.v2.cli:OldReleaseClaim')
Could not load EntryPoint.parse('claim_renew = zaqarclient.queues.v2.cli:OldRenewClaim')
  class-schema   Show class schema.
Could not load EntryPoint.parse('message_list = zaqarclient.queues.v2.cli:OldListMessages')
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/cliff/help.py", line 35, in __call__
    factory = ep.load()
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2259, in load
    if require: self.require(env, installer)
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2272, in require
    working_set.resolve(self.dist.requires(self.extras),env,installer)))
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 630, in resolve
    raise VersionConflict(dist,req) # XXX put more info here
VersionConflict: (requests 2.11.1 (/usr/lib/python2.7/site-packages), Requirement.parse('requests>=2.14.2'))
Could not load EntryPoint.parse('message_post = zaqarclient.queues.v2.cli:OldPostMessages')
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/cliff/help.py", line 35, in __call__
    factory = ep.load()
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2259, in load
    if require: self.require(env, installer)
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2272, in require
    working_set.resolve(self.dist.requires(self.extras),env,installer)))
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 630, in resolve
    raise VersionConflict(dist,req) # XXX put more info here
VersionConflict: (requests 2.11.1 (/usr/lib/python2.7/site-packages), Requirement.parse('requests>=2.14.2'))
Could not load EntryPoint.parse('messaging_claim_create = zaqarclient.queues.v2.cli:CreateClaim')

Environment

  • Red Hat OpenStack Platform 12
    python-zaqarclient-1.7.0-1.el7ost.noarch

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In